/// <reference types="@adonisjs/config/build/adonis-typings/config" />
import Config from '@ioc:Adonis/Core/Config';
import { ConnectionOptions, Processor, Worker as BullWorker, Queue as BullQueue, QueueEvents as BullQueueEvents, WorkerOptions, QueueOptions } from 'bullmq';
export declare class BullMQClass {
    config: typeof Config;
    connection: ConnectionOptions;
    constructor(config: typeof Config);
    queue<T, R>(name: string, options?: QueueOptions): BullQueue<T, R, string>;
    worker<T, R, N extends string = string>(name: string, callback: string | Processor<T, R, N>, options?: WorkerOptions): BullWorker<T, R, N>;
    events(name: string): BullQueueEvents;
}
